package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItemdiscountActivityUpdateRequest struct {
	/*
	   创建活动参数     */
	Param *domain.AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItemdiscountActivityUpdateRequest) SetParam(v domain.AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) *AlibabaRetailMarketingItemdiscountActivityUpdateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItemdiscountActivityUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItemdiscountActivityUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
